MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002888ATutorTests/Surveyspublic2007-01-24 07:372007-02-05 08:02
Reporteruser2 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.4 
Summary0002888: question types
Description- make a distinction between "multiple choice" and "multiple answer"

- make distinction between "drag n drop graphical" and "simple"

- same with Essay, etc..
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002269)
user2
2007-01-24 12:30

also need a conversion tool for converting between:
likert/mtma/mtsa <-> likert/mtma/mtsa
long/short/word <-> long/short/word
graphical/simple <-> graphical/simple

when they're broken into individual types.
(0002271)
user2
2007-01-24 12:33

will make QTI and a lot of the OO cleaner.

MTMA just has to extend MTSA, no need to implement all the methods.

also need to deprecate the use of the constants, instead a hash table that associates question keys (1..7) with class names.
(0002275)
greg (administrator)
2007-01-30 05:58

I would be good to do this now, before QTI.
(0002323)
user2
2007-02-01 11:28

matching and multi answer are done.

create another issue for the conversion tool.
(0002324)
user2
2007-02-02 06:58

question hash table done in r6718

- Issue History
Date Modified Username Field Change
2007-01-24 07:37 user2 New Issue
2007-01-24 07:37 user2 Affects version => SVN
2007-01-24 12:30 user2 Note Added: 0002269
2007-01-24 12:33 user2 Note Added: 0002271
2007-01-30 05:58 greg Note Added: 0002275
2007-02-01 11:28 user2 Note Added: 0002323
2007-02-02 06:58 user2 Note Added: 0002324
2007-02-02 09:23 user2 Status new => resolved
2007-02-02 09:23 user2 Fixed in Version => 1.5.4
2007-02-02 09:23 user2 Resolution open => fixed
2007-02-02 09:23 user2 Assigned To => user2
2007-02-05 08:02 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker